Index: trunk/psLib/test/astronomy/Makefile
===================================================================
--- trunk/psLib/test/astronomy/Makefile	(revision 1223)
+++ trunk/psLib/test/astronomy/Makefile	(revision 1223)
@@ -0,0 +1,72 @@
+################################################################################
+##
+##  Makefile:   test/astronomy
+##
+##  $Revision: 1.1 $  $Name: not supported by cvs2svn $
+##  $Date: 2004-07-15 19:00:29 $
+##
+##  Copyright 2004 Maui High Performance Computing Center, University of Hawaii
+##
+###############################################################################
+
+ifndef prefix
+    export prefix=$(shell cd ../..;pwd)
+endif
+
+include ../../src/Makefile.Globals
+
+PSLIB_INCL_DIR = ../../include
+
+PSLIB_LIB_DIR = ../../lib
+
+TARGET = tst_psTime_01
+
+DEPENDENCIES = $(addprefix builddir/,$(addsuffix .d,$(TARGET)))
+OBJS = $(addprefix builddir/,$(addsuffix .o,$(TARGET)))
+
+all: builddir $(TARGET)
+
+builddir:
+	mkdir builddir
+
+include $(DEPENDENCIES)
+
+clean:
+	@echo "    Deleting executable and binary files for 'test/astronomy'"
+	$(RM) $(OBJS) *.lint builddir/*.i
+
+distclean: clean
+	$(RM) $(TARGET)
+
+cleandependencies:
+	$(RM) $(DEPENDENCIES)
+
+builddir/%.o : builddir/%.i
+	$(CC) $(CFLAGS) -I$(PSLIB_INCL_DIR) -c -o $@ $<
+
+builddir/%.o : %.c
+	$(CC) $(CFLAGS) -I$(PSLIB_INCL_DIR) -c -o $@ $<
+
+%   : builddir/%.o
+	$(CC) -o $@ $< -L$(PSLIB_LIB_DIR) -lpslib -lpstest $(LDFLAGS)
+
+%.lint: %.c
+	splint +posixlib -exportlocal -realcompare $(INCLUDE_GLOBAL) $? > $@; cat $@
+
+builddir/%.i: %.c
+	$(CC) -E $(CFLAGS) $(CPPFLAGS) -I$(PSLIB_INCL_DIR) -o $@ $<
+
+builddir/%.d: %.c
+	$(CC) -MM $(CFLAGS) -I$(PSLIB_INCL_DIR) $< | sed 's|\(.*\.o\)|builddir/\1|' > $@
+
+install: $(testbindir) $(testbindir)/verified $(TARGET)
+	install $(TARGET) $(testbindir)
+	install verified/*.stderr verified/*.stdout $(testbindir)/verified
+
+$(testbindir):
+	mkdir -p $(testbindir)
+
+$(testbindir)/verified:
+	mkdir -p $(testbindir)/verified
+
+
Index: trunk/psLib/test/astronomy/builddir/tst_psTime_01.d
===================================================================
--- trunk/psLib/test/astronomy/builddir/tst_psTime_01.d	(revision 1223)
+++ trunk/psLib/test/astronomy/builddir/tst_psTime_01.d	(revision 1223)
@@ -0,0 +1,12 @@
+builddir/tst_psTime_01.o: tst_psTime_01.c ../../include/pslib.h \
+  ../../include/psMemory.h ../../include/psLogMsg.h \
+  ../../include/psTrace.h ../../include/psAbort.h ../../include/psError.h \
+  ../../include/psString.h ../../include/psType.h ../../include/psList.h \
+  ../../include/psCompare.h ../../include/psVector.h \
+  ../../include/psHash.h ../../include/psScalar.h ../../include/psImage.h \
+  ../../include/psBitSet.h ../../include/psSort.h ../../include/psStats.h \
+  ../../include/psMatrix.h ../../include/psMatrixVectorArithmetic.h \
+  ../../include/psFFT.h ../../include/psImageIO.h \
+  ../../include/psImageManip.h ../../include/psFunctions.h \
+  ../../include/psMinimize.h ../../include/psTime.h \
+  ../../include/psTest.h
Index: trunk/psLib/test/astronomy/tst_psTime_01.c
===================================================================
--- trunk/psLib/test/astronomy/tst_psTime_01.c	(revision 1223)
+++ trunk/psLib/test/astronomy/tst_psTime_01.c	(revision 1223)
@@ -0,0 +1,34 @@
+/** @file  tst_psTime_01.c
+ *
+ *  @brief Test driver for psTime functions
+ *
+ *  This test driver contains the following tests for psTime:
+ *     A)  
+ *     B)  
+ *     C)  
+ *     D)  
+ *     E)  
+ *     F)  
+ *     G)  
+ *     H)  
+ *     I)  
+ *     J)  
+ *
+ *  @author  Ross Harman, MHPCC
+ *
+ *  @version $Revision: 1.1 $  $Name: not supported by cvs2svn $
+ *  @date  $Date: 2004-07-15 19:00:29 $
+ *
+ *  Copyright 2004 Maui High Performance Computing Center, University of Hawaii
+ *
+ */
+
+#include "pslib.h"
+#include "psTest.h"
+
+int main(int argc, char* argv[])
+{
+
+
+    return 0;
+}
